# Class ApplicationMapping

java.lang.Object
org.apache.catalina.core.ApplicationMapping

public class ApplicationMapping extends Object
Holds servlet mapping data for a single request.

## Constructor Summary

Constructors
Constructor
Description
`ApplicationMapping(MappingData mappingData)`
Constructs a new ApplicationMapping.

## Method Summary

Modifier and Type
Method
Description
`HttpServletMapping`
`getHttpServletMapping()`
Returns the HttpServletMapping for this request.
`void`
`recycle()`
Recycles this mapping for reuse.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ApplicationMapping

public ApplicationMapping(MappingData mappingData)
Constructs a new ApplicationMapping.

Parameters:
  `mappingData` - the mapping data

## Method Details

### getHttpServletMapping

public HttpServletMapping getHttpServletMapping()
Returns the HttpServletMapping for this request.

Returns:
  the servlet mapping

### recycle

public void recycle()
Recycles this mapping for reuse.